: Class Vec

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class Vec

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--calypso.util.Vec

public class Vec
extends java.util.Vector

Some more methods for Vector

See Also:
  Serialized Form

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Vec()`
`Vec(int initialCapacity)`
`Vec(int initialCapacity, int capacityIncrement)`

Method Summary
`void` | `addElements(java.util.Vector aVector)`
`boolean` | `containsIdentical(java.lang.Object aElement)`
`int` | `indexOfIdentical(java.lang.Object aElement)`
`int` | `indexOfIdentical(java.lang.Object aElement, int aIndex)`
`boolean` | `insertElementAfter(java.lang.Object aElement, java.lang.Object aExistingElement)`
`boolean` | `removeElementIdentical(java.lang.Object aElement)`
`java.lang.Object` | `removeFirstElement()`
`java.lang.Object` | `removeLastElement()`
`void` | `sort()`
`void` | `sort(Comparer aComparer)`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vec

    public Vec(int initialCapacity,
               int capacityIncrement)

### Vec

    public Vec(int initialCapacity)

### Vec

    public Vec()

Method Detail

### containsIdentical

    public boolean containsIdentical(java.lang.Object aElement)

### indexOfIdentical

    public int indexOfIdentical(java.lang.Object aElement)

### indexOfIdentical

    public int indexOfIdentical(java.lang.Object aElement,
                                int aIndex)

### insertElementAfter

    public boolean insertElementAfter(java.lang.Object aElement,
                                      java.lang.Object aExistingElement)

### addElements

    public void addElements(java.util.Vector aVector)

### removeElementIdentical

    public boolean removeElementIdentical(java.lang.Object aElement)

### removeFirstElement

    public java.lang.Object removeFirstElement()

### removeLastElement

    public java.lang.Object removeLastElement()

### sort

    public void sort()

### sort

    public void sort(Comparer aComparer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD